Skip to content

# Interface: DialogProps

## Hierarchy

- DialogProps

## Index

### Properties

- animated
- className
- close
- isOpen
- modal
- onClose
- onOpen
- open
- pinned

## Properties

### `Optional` animated

• animated? : boolean

Defined in src/renderer/components/dialog/dialog.tsx:22

### `Optional` className

• className? : string

Defined in src/renderer/components/dialog/dialog.tsx:14

### `Optional` close

• close? : function

Defined in src/renderer/components/dialog/dialog.tsx:17

#### Type declaration:

▸ (): void

### `Optional` isOpen

• isOpen? : boolean

Defined in src/renderer/components/dialog/dialog.tsx:15

### `Optional` modal

• modal? : boolean

Defined in src/renderer/components/dialog/dialog.tsx:20

### `Optional` onClose

• onClose? : function

Defined in src/renderer/components/dialog/dialog.tsx:19

#### Type declaration:

▸ (): void

### `Optional` onOpen

• onOpen? : function

Defined in src/renderer/components/dialog/dialog.tsx:18

#### Type declaration:

▸ (): void

### `Optional` open

• open? : function

Defined in src/renderer/components/dialog/dialog.tsx:16

#### Type declaration:

▸ (): void

### `Optional` pinned

• pinned? : boolean

Defined in src/renderer/components/dialog/dialog.tsx:21